Subject: Re: [PATCH] TX_RING and packet mmap

From: Andi Kleen <andi-Vw/[email-masked]>
Date: Tue, 12 May 2009 20:15:20 +0200

[full quote for linux-man, Michael]

On Tue, May 12, 2009 at 07:58:06PM +0200, Johann Baudy wrote:
> Hi Andi,
> 
> Currently, There is nothing in the manpage of packet(7) about RX_RING.

Yes mmap was never documented. But if you could do that that would
be great.

> However I can start to write a summary  that describes processes, headers
> and statuses of both feature (RX_RING and TX_RING).
> I think "Socket Options" section of packet(7) is appropriate.

Sounds good. Please send the result to [email-masked]

-Andi

> 
> Johann
> 
> 
> On Tue, May 12, 2009 at 6:11 PM, Andi Kleen <andi-Vw/[email-masked]> wrote:
> 
> > Johann Baudy <[email-masked]> writes:
> >
> > > From: Johann Baudy <[email-masked]>
> > >
> > > New packet socket feature that makes packet socket more efficient for
> > transmission.
> > > - It reduces number of system call through a PACKET_TX_RING mechanism,
> > based on PACKET_RX_RING (Circular buffer allocated in kernel space which is
> > mmapped from user space).
> > > - It minimizes CPU copy using fragmented SKB (almost zero copy).
> >
> > When you add new interfaces like this you should add them to the packet (7)
> > manpage too.
> >
> > -Andi
> >
> > --
> > ak-VuQAYsv1563Yd54FQh9/[email-masked] -- Speaking for myself only.
> >

-- 
ak-VuQAYsv1563Yd54FQh9/[email-masked] -- Speaking for myself only.
--
To unsubscribe from this list: send the line "unsubscribe linux-man" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html